# Get a vault

Get a vault by ID

Endpoint: GET /v2/vaults/{id}
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `id` (string, required)
    The vault ID

## Response 200 fields (application/json):

  - `id` (string, required)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdBy` (string, required)
    The user ID that created the vault
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `createdAt` (string, required)
    The date and time the vault was created
    Example: "2022-03-29T10:22:22.420Z"

  - `updatedAt` (string, required)
    The date and time the vault was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `name` (string, required)
    The name of the vault
    Example: "Treasury vault"

  - `description` (string)
    The description of the vault
    Example: "A vault used by the treasury department"

  - `externalId` (string)
    External ID of this vault, unique to the organization
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `correlationId` (string)
    Correlation ID for the vault
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


